> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Virtual Account Number

> Create a virtual account number



## OpenAPI

````yaml post /virtual-account-numbers
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /virtual-account-numbers:
    post:
      tags:
        - Virtual Account Numbers
      summary: Create a Virtual Account Number
      description: Create a virtual account number
      operationId: CreateaVirtualAccountNumber
      parameters: []
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/CreateaVirtualAccountNumberRequest'
                - example:
                    email: testtest@gmail.com
                    amount: 100
                    tx_ref: Sample_tx_ref-001
                    phonenumber: '08100000000'
                    firstname: Flutterwave
                    lastname: Developers
                    narration: Add_the_name_of_account_here
                    is_permanent: true
                    bvn: '12345678901'
            example:
              email: testtest@gmail.com
              amount: 100
              tx_ref: Sample_tx_ref-001
              phonenumber: '08100000000'
              firstname: Flutterwave
              lastname: Developers
              narration: Add_the_name_of_account_here
              is_permanent: true
              bvn: '12345678901'
        required: true
      responses:
        '200':
          description: OK
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Thu, 28 Mar 2024 10:05:08 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '394'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"18a-Wq9MkBIAyI4Sn7FCp3myOg"
            Strict-Transport-Security:
              content:
                text/plain:
                  schema:
                    type: string
                  example: max-age=31536000; includeSubDomains; preload; always;
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SampleSuccessResponse14'
                  - example:
                      status: success
                      message: Virtual account created
                      data:
                        response_code: '02'
                        response_message: Transaction in progress
                        flw_ref: MockFLWRef-1711620308271
                        order_ref: URF_1711620308080_5006035
                        account_number: '0067100155'
                        account_status: active
                        frequency: 1
                        bank_name: Mock Bank
                        created_at: 1711620308271
                        expiry_date: 1711620308271
                        note: Mock note
                        amount: '100.00'
              example:
                status: success
                message: Virtual account created
                data:
                  response_code: '02'
                  response_message: Transaction in progress
                  flw_ref: MockFLWRef-1711620308271
                  order_ref: URF_1711620308080_5006035
                  account_number: '0067100155'
                  account_status: active
                  frequency: 1
                  bank_name: Mock Bank
                  created_at: 1711620308271
                  expiry_date: 1711620308271
                  note: Mock note
                  amount: '100.00'
        '400':
          description: Bad Request
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Thu, 28 Mar 2024 10:11:17 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '91'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"5b-nFSO7+mNo+3M0uyrfr17Lg"
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SampleErrorResponse1'
                  - example:
                      status: error
                      message: BVN or NIN is required for static account number
                      data: null
              example:
                status: error
                message: BVN or NIN is required for static account number
                data: null
      deprecated: false
components:
  schemas:
    CreateaVirtualAccountNumberRequest:
      title: CreateaVirtualAccountNumberRequest
      required:
        - email
        - amount
        - tx_ref
        - phonenumber
        - firstname
        - lastname
        - narration
        - is_permanent
        - bvn
      type: object
      properties:
        email:
          type: string
        amount:
          type: integer
          format: int32
        tx_ref:
          type: string
        phonenumber:
          type: string
        firstname:
          type: string
        lastname:
          type: string
        narration:
          type: string
        is_permanent:
          type: boolean
        bvn:
          type: string
      example:
        email: testtest@gmail.com
        amount: 100
        tx_ref: Sample_tx_ref-001
        phonenumber: '08100000000'
        firstname: Flutterwave
        lastname: Developers
        narration: Add_the_name_of_account_here
        is_permanent: true
        bvn: '12345678901'
    SampleSuccessResponse14:
      title: SampleSuccessResponse14
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/Data47'
      example:
        status: success
        message: Virtual account created
        data:
          response_code: '02'
          response_message: Transaction in progress
          flw_ref: MockFLWRef-1711620308271
          order_ref: URF_1711620308080_5006035
          account_number: '0067100155'
          account_status: active
          frequency: 1
          bank_name: Mock Bank
          created_at: 1711620308271
          expiry_date: 1711620308271
          note: Mock note
          amount: '100.00'
    SampleErrorResponse1:
      title: SampleErrorResponse1
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          type: string
          nullable: true
      example:
        status: error
        message: >-
          retry_interval is required , retry_amount_variable is required ,
          retry_attempt_variable is required
        data: null
    Data47:
      title: Data47
      required:
        - response_code
        - response_message
        - flw_ref
        - order_ref
        - account_number
        - account_status
        - frequency
        - bank_name
        - created_at
        - expiry_date
        - note
        - amount
      type: object
      properties:
        response_code:
          type: string
        response_message:
          type: string
        flw_ref:
          type: string
        order_ref:
          type: string
        account_number:
          type: string
        account_status:
          type: string
        frequency:
          type: integer
          format: int32
        bank_name:
          type: string
        created_at:
          type: integer
          format: int64
        expiry_date:
          type: integer
          format: int64
        note:
          type: string
        amount:
          type: string
      example:
        response_code: '02'
        response_message: Transaction in progress
        flw_ref: MockFLWRef-1711620308271
        order_ref: URF_1711620308080_5006035
        account_number: '0067100155'
        account_status: active
        frequency: 1
        bank_name: Mock Bank
        created_at: 1711620308271
        expiry_date: 1711620308271
        note: Mock note
        amount: '100.00'
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````